Name:           transifex-client
Version:        0.14.4
Release:        %mkrel 4
Summary:        Command line client for transifex
License:        BSD
Group:          Networking/WWW
BuildArch:      noarch
URL:            https://pypi.org/project/transifex-client/
Source0:        https://github.com/transifex/transifex-client/archive/%{version}/%{name}-%{version}.tar.gz
# Upstream issue: https://github.com/transifex/transifex-client/issues/323
Patch0:         transifex-client-0.14.4-relax-python-slugify-version-check.patch
# https://github.com/transifex/transifex-client/pull/316
Patch1:         tx-client-pr316-int32-overflow.patch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

# Test suite requirements:
BuildRequires:  git
BuildRequires:  python3dist(gitpython)
BuildRequires:  python3dist(mock)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(python-slugify)
BuildRequires:  python3dist(requests)
BuildRequires:  python3dist(urllib3)

%description
The Transifex Command-line Client is a command line tool that enables you
to easily manage your translations within a project without the need of
an elaborate UI system, by using Transifex hosted services, or your own
instance.

You can use the command line client to easily create new resources, map locale
files to translations and synchronize your Transifex project with your local
repository and vice versa. Translators and localization managers can also
use it to handle large volumes of translation files easily and without much
hassle.

%prep
# Using git init as there's one test relying on it.
%autosetup -S git

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files txclib

%check
%pytest

%files -f %{pyproject_files}
%doc README.md
%{_bindir}/tx


%changelog
* Fri Mar 07 2025 daviddavid <daviddavid> 0.14.4-4.mga10
+ Revision: 2161720
- rebuild for python 3.13

* Tue Jan 16 2024 daviddavid <daviddavid> 0.14.4-3.mga10
+ Revision: 2031427
- rebuild for py3.12

* Tue Mar 29 2022 umeabot <umeabot> 0.14.4-2.mga9
+ Revision: 1832210
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 akien <akien> 0.14.4-1.mga9
+ Revision: 1789753
- Version 0.14.4
- Enable checks

* Mon Feb 14 2022 tmb <tmb> 0.14.2-5.mga9
+ Revision: 1774893
- rebuild for python 3.10

* Mon Feb 14 2022 neoclust <neoclust> 0.14.2-4.mga9
+ Revision: 1774583
- rebuild for python 3.10

* Fri Jun 04 2021 akien <akien> 0.14.2-3.mga9
+ Revision: 1729670
- Relax version check on python-slugify

* Wed Mar 24 2021 tv <tv> 0.14.2-2.mga9
+ Revision: 1708864
- rebuild for python 3.9

* Thu Dec 17 2020 akien <akien> 0.14.2-1.mga8
+ Revision: 1660178
- Version 0.14.2

* Tue Nov 03 2020 akien <akien> 0.14.1-1.mga8
+ Revision: 1642244
- Version 0.14.1

* Thu Oct 22 2020 daviddavid <daviddavid> 0.13.12-1.mga8
+ Revision: 1638271
- new version: 0.13.12

* Sun Apr 26 2020 wally <wally> 0.13.9-1.mga8
+ Revision: 1572326
- new version 0.13.9

* Thu Feb 20 2020 umeabot <umeabot> 0.13.7-2.mga8
+ Revision: 1547263
- Mageia 8 Mass Rebuild

* Fri Feb 07 2020 daviddavid <daviddavid> 0.13.7-1.mga8
+ Revision: 1487746
- new version: 0.13.7
- remove merged upstream patches

* Sat Dec 21 2019 wally <wally> 0.13.6-3.mga8
+ Revision: 1469261
- add upstream patches to relax requirements

* Tue Sep 17 2019 daviddavid <daviddavid> 0.13.6-2.mga8
+ Revision: 1442817
- rebuild for python3.8

* Wed Feb 06 2019 daviddavid <daviddavid> 0.13.6-1.mga7
+ Revision: 1363702
- new version: 0.13.6
- remove merged upstream patch

* Sat Jan 12 2019 daviddavid <daviddavid> 0.13.5-5.mga7
+ Revision: 1355495
- relax six and slugify dependencies

* Tue Jan 08 2019 tv <tv> 0.13.5-4.mga7
+ Revision: 1351825
- rebuild with python 3.7

* Wed Jan 02 2019 akien <akien> 0.13.5-3.mga7
+ Revision: 1348678
- Rebuild for python-six 1.12.0

* Thu Nov 08 2018 daviddavid <daviddavid> 0.13.5-2.mga7
+ Revision: 1328871
- add patch to relax urllib3 dependency

* Sun Nov 04 2018 daviddavid <daviddavid> 0.13.5-1.mga7
+ Revision: 1328060
- new version: 0.13.5

* Fri Sep 21 2018 umeabot <umeabot> 0.13.4-3.mga7
+ Revision: 1291931
- Mageia 7 Mass Rebuild

* Mon Jul 23 2018 akien <akien> 0.13.4-2.mga7
+ Revision: 1244958
- Add patch to decrease log level of info message

* Tue Jul 17 2018 akien <akien> 0.13.4-1.mga7
+ Revision: 1244024
- Version 0.13.4 (mga#23317)

* Mon May 14 2018 akien <akien> 0.13.3-1.mga7
+ Revision: 1229491
- Version 0.13.3
- Version 0.13.2

* Sat Dec 30 2017 akien <akien> 0.12.5-1.mga7
+ Revision: 1187732
- Version 0.12.5

* Sat Aug 05 2017 pterjan <pterjan> 0.12.4-2.mga7
+ Revision: 1135722
- Rebuild for python 3.6

* Wed Feb 08 2017 akien <akien> 0.12.4-1.mga6
+ Revision: 1085161
- Version 0.12.4

* Fri Feb 03 2017 akien <akien> 0.12.3-1.mga6
+ Revision: 1084677
- Version 0.12.3

* Mon Sep 05 2016 akien <akien> 0.12.2-1.mga6
+ Revision: 1050096
- Version 0.12.2

* Wed Jun 15 2016 akien <akien> 0.12.1-1.mga6
+ Revision: 1021574
- Version 0.12.1

* Sat Apr 23 2016 akien <akien> 0.11.1-1.mga6
+ Revision: 1005711
- Version 0.11 (keeping RPM version 0.11.1 to avoid using Epoch)

* Sat Feb 20 2016 umeabot <umeabot> 0.11.1-0.beta.3.mga6
+ Revision: 971995
- Mageia 6 Mass Rebuild

* Thu Oct 22 2015 daviddavid <daviddavid> 0.11.1-0.beta.2.mga6
+ Revision: 894160
- remove merged upstream patch (fix build)
- use new python macros

* Fri Oct 24 2014 akien <akien> 0.11.1-0.beta.1.mga5
+ Revision: 792918
- Version 0.11.1 beta

* Wed Oct 15 2014 umeabot <umeabot> 0.10-6.mga5
+ Revision: 742971
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.10-5.mga5
+ Revision: 730644
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.10-4.mga5
+ Revision: 689943
- Mageia 5 Mass Rebuild
+ pterjan <pterjan>
- Rebuild for new Python

* Sun Apr 06 2014 tarakbumba <tarakbumba> 0.10-2.mga5
+ Revision: 612439
- Fix creation of resources when server side is empty
- Fix source url

* Sat Dec 07 2013 akien <akien> 0.10-1.mga5
+ Revision: 555808
- Update to 0.10 release

* Tue Oct 22 2013 umeabot <umeabot> 0.9.2-3.mga4
+ Revision: 544699
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.2-2.mga4
+ Revision: 499921
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Aug 25 2013 obgr_seneca <obgr_seneca> 0.9.2-1.mga4
+ Revision: 471648
- New version 0.9.2
+ akien <akien>
- Updating transifex-client to latest stable upstream release (0.9.1)
- No upstream changelog, but looking at the git commits, some new features are:
  * Support of local .transifexrc file
  * Improved handling of SSL certificate
  * Merging of 'ssl' and 'fix_config_setup' branches

* Mon Jan 14 2013 umeabot <umeabot> 0.8-2.mga3
+ Revision: 384747
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 28 2012 obgr_seneca <obgr_seneca> 0.8-1.mga3
+ Revision: 264674
- New version 0.8

* Mon Jun 25 2012 obgr_seneca <obgr_seneca> 0.7.3-1.mga3
+ Revision: 263640
- New version 0.7.3

* Tue Feb 28 2012 obgr_seneca <obgr_seneca> 0.7.2-1.mga2
+ Revision: 215844
- new version 0.7.2

* Fri Feb 24 2012 obgr_seneca <obgr_seneca> 0.7-1.mga2
+ Revision: 213838
- new version 0.7

* Fri Sep 16 2011 obgr_seneca <obgr_seneca> 0.5.2-1.mga2
+ Revision: 144327
- new version 0.5.2

* Mon Apr 18 2011 obgr_seneca <obgr_seneca> 0.4.2-0.6306ef12ae8ehg.1.mga1
+ Revision: 87670
- updated to current hg head, since 0.4.1 doesn't work at all
- fedora is using hg as well
+ misc <misc>
- use more standard macro

* Fri Feb 18 2011 misc <misc> 0.4.1-1.mga1
+ Revision: 53407
- new version
- imported package transifex-client


* Thu Dec 16 2010 Michael Scherer <misc@mandriva.org> 0.3-1mdv2011.0
+ Revision: 622195
- import transifex-client

